# FilesystemIterator::getFlags

(PHP 5 >= 5.3.0, PHP 7)

FilesystemIterator::getFlags — Get the handling flags

### Description

public FilesystemIterator::getFlags ( void ) : int

Gets the handling flags, as set in FilesystemIterator::__construct() or FilesystemIterator::setFlags().

### Parameters

This function has no parameters.

### Return Values

The integer value of the set flags.

### See Also

- FilesystemIterator::__construct() - Constructs a new filesystem iterator
- FilesystemIterator::setFlags() - Sets handling flags